Mandate agreements

Sign Mandate Agreement on iPad

POST
/orgs/{organizationId}/mandate-agreements/{agreementId}/device/sign

Signs an IBAN mandate on the reception iPad with the SMS code and the drawn signature; the signed PDF records the device user.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

agreementId*string

Request Body

application/json
  1. body
verificationCode*string
Match^\d+$
Length6 <= length <= 6
signature*string
Match^data:image\/png;base64,[A-Za-z0-9+/=]+$
Lengthlength <= 400000
iban?string
Length1 <= length
consent*unknown
useForUtilityBills?boolean

Response Body

OK

application/json
  1. response
status*string
signedAt*|null
curl -X POST 'https://api.tillor.eu/orgs/string/mandate-agreements/string/device/sign' \  -H 'Content-Type: application/json' \  -d '{  "verificationCode": "string",  "signature": "string",  "consent": true}'
{  "status": "string",  "signedAt": "2019-08-24T14:15:22Z"}